=== modified file 'ivle/webapp/console/media/console.css'
--- ivle/webapp/console/media/console.css	2009-07-30 07:46:28 +0000
+++ ivle/webapp/console/media/console.css	2009-07-30 10:29:38 +0000
@@ -92,21 +92,27 @@
     left: 0.5em;
     right: 0.5em;
     bottom: 0.5em;
-    /* Treat console line as table formated */
-    display: table
+    /* Treat console line as table formatted, so the textbox is dynamic in size. */
+    display: table;
 }
 
-.trow {
+#console_input > div {
     display: table-row;
 }
 
-.tcell {
+#console_input > div > * {
     display: table-cell;
+
+    /* Don't let the buttons wrap onto multiple lines.
+     * This forces the textbox to shrink.
+     */
+    white-space: nowrap;
 }
 
-.tcell .console_button {
+#console_input > div > .console_button {
     /* If the console button is in a cell, don't float */
     position: static !important;
+    padding: 0 0.2em;
 }
 
 #console_inputCell {
@@ -120,7 +126,6 @@
 }
 #console_prompt {
     font-family: monospace;
-    white-space: pre;
 }
 #console_inputText {
     font-family: monospace;

=== modified file 'ivle/webapp/console/overlay.html'
--- ivle/webapp/console/overlay.html	2009-07-30 07:46:28 +0000
+++ ivle/webapp/console/overlay.html	2009-07-30 10:29:38 +0000
@@ -16,33 +16,27 @@
       <div id="console_body2">
         <pre id="console_output" class='outputMsg'></pre>
         <div id="console_input">
-          <div class="trow">
-            <div class="tcell">
+          <div>
+            <div>
               <label id="console_prompt">&gt;&gt;&gt; </label>
             </div>
-            <div id="console_inputCell" class="tcell">
+            <div id="console_inputCell">
               <input id="console_inputText" type="text" 
                   onkeypress="return catch_input(event.keyCode)" />
             </div>
-            <div class="tcell">            
+            <div>
               <input type='button' value='Interrupt'
                   onclick='set_interrupt();'/>
-            </div>
-            <div class="tcell">
               <input type='button' value='Clear Output'
                   onclick='return clear_output();'/>
-            </div>
-            <div class="tcell">
               <input type='button' value='Reset'
                   onclick='console_reset();'/>
             </div>
-            <div class="tcell">
-            <span py:if="windowpane" class="console_button maximize">
+            <div py:if="windowpane" class="console_button maximize">
               <a onclick="console_maximize()"
                   title="Open up the Python console">
                 <img src="${maximize_path}" alt="Maximize"/>
               </a>
-            </span>
             </div>
           </div>
         </div>

